Bug 82104 - [BlackBerry] Accelerated compositing layers fail to render when using WebPageCompositor
Summary: [BlackBerry] Accelerated compositing layers fail to render when using WebPage...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 81121
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 16:58 PDT by Arvid Nilsson
Modified: 2012-03-25 05:16 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.01 KB, patch)
2012-03-23 17:19 PDT, Arvid Nilsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Nilsson 2012-03-23 16:58:12 PDT
Fix forthcoming
Comment 1 Arvid Nilsson 2012-03-23 17:14:45 PDT
Unfortunately there will be new tests, the output of OpenGL rendering is not currently testable in the BlackBerry port. I think this is obvious to the intended audience, so it should not need to be stated in the Changelog.
Comment 2 Arvid Nilsson 2012-03-23 17:19:05 PDT
Created attachment 133591 [details]
Patch
Comment 3 Arvid Nilsson 2012-03-23 17:19:47 PDT
(In reply to comment #1)
> Unfortunately there will be new tests, the output of OpenGL rendering is not currently testable in the BlackBerry port. I think this is obvious to the intended audience, so it should not need to be stated in the Changelog.

there will be _no_ new tests =)
Comment 4 Rob Buis 2012-03-23 17:21:27 PDT
Comment on attachment 133591 [details]
Patch

LGTM.
Comment 5 WebKit Review Bot 2012-03-23 17:36:00 PDT
Comment on attachment 133591 [details]
Patch

Rejecting attachment 133591 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/platform/graphics/blackberry/LayerRenderer.cpp
patching file Source/WebKit/blackberry/Api/WebPageCompositor.cpp
Hunk #1 FAILED at 68.
Hunk #2 FAILED at 79.
2 out of 2 hunks FAILED -- saving rejects to file Source/WebKit/blackberry/Api/WebPageCompositor.cpp.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Rob Buis']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12123852
Comment 6 Arvid Nilsson 2012-03-23 17:37:57 PDT
The commit-queue failure is probably just because 81121 is not in yet, and 81121 is a dependency. We can try again tomorrow, and see if 81121 is landed by then.
Comment 7 Arvid Nilsson 2012-03-24 22:17:39 PDT
Comment on attachment 133591 [details]
Patch

Alright, dependency was landed, we can try again.
Comment 8 Rob Buis 2012-03-25 04:39:22 PDT
Comment on attachment 133591 [details]
Patch

Retrying.
Comment 9 WebKit Review Bot 2012-03-25 05:16:19 PDT
Comment on attachment 133591 [details]
Patch

Clearing flags on attachment: 133591

Committed r112026: <http://trac.webkit.org/changeset/112026>
Comment 10 WebKit Review Bot 2012-03-25 05:16:23 PDT
All reviewed patches have been landed.  Closing bug.